#ifndef ProtoGenWrapper_SelectProject_H
#define ProtoGenWrapper_SelectProject_H

#include <string>

#include <Command.h>

namespace ProtoGenWrapper
{
	class SelectProject : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SelectProject(const std::string& projectName);
		SelectProject(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		SelectProject() = delete;

		bool GetValues(std::string& projectName);
		static int GetCommandType();
	};
}

#endif // ProtoGenWrapper_SelectProject_H
